VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL MOSI
        SIGNAL SCLK
        SIGNAL XLXN_38
        SIGNAL DQ(15:0)
        SIGNAL SSDAT
        SIGNAL DS(15:0)
        SIGNAL Count(7:0)
        SIGNAL XLXN_208
        SIGNAL DSREADY
        SIGNAL Count(4)
        SIGNAL XLXN_218
        SIGNAL XLXN_219
        SIGNAL XLXN_221
        SIGNAL XLXN_222
        PORT Input MOSI
        PORT Input SCLK
        PORT Output DQ(15:0)
        PORT Input SSDAT
        PORT Output DS(15:0)
        PORT Output DSREADY
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF sr16ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -192 64 -192 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -32 64 -32 
            LINE N 0 -320 64 -320 
            RECTANGLE N 64 -384 320 -64 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
        END BLOCKDEF
        BEGIN BLOCKDEF fd16ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            RECTANGLE N 320 -268 384 -244 
            RECTANGLE N 0 -268 64 -244 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF cb8ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -128 320 -128 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -192 320 -192 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_4 gnd
            PIN G XLXN_38
        END BLOCK
        BEGIN BLOCK XLXI_109 sr16ce
            PIN C SCLK
            PIN CE XLXN_221
            PIN CLR XLXN_38
            PIN SLI MOSI
            PIN Q(15:0) DS(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_110 fd16ce
            PIN C XLXN_222
            PIN CE XLXN_208
            PIN CLR XLXN_38
            PIN D(15:0) DS(15:0)
            PIN Q(15:0) DQ(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_111 cb8ce
            PIN C SCLK
            PIN CE XLXN_221
            PIN CLR SSDAT
            PIN CEO
            PIN Q(7:0) Count(7:0)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_118 vcc
            PIN P XLXN_208
        END BLOCK
        BEGIN BLOCK XLXI_103 or2
            PIN I0 XLXN_222
            PIN I1 SSDAT
            PIN O DSREADY
        END BLOCK
        BEGIN BLOCK XLXI_120 inv
            PIN I Count(4)
            PIN O XLXN_221
        END BLOCK
        BEGIN BLOCK XLXI_121 inv
            PIN I XLXN_221
            PIN O XLXN_218
        END BLOCK
        BEGIN BLOCK XLXI_122 inv
            PIN I XLXN_219
            PIN O XLXN_222
        END BLOCK
        BEGIN BLOCK XLXI_123 inv
            PIN I XLXN_218
            PIN O XLXN_219
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 5440 3520
        BEGIN BRANCH MOSI
            WIRE 512 1696 1040 1696
        END BRANCH
        BEGIN BRANCH SCLK
            WIRE 512 1888 800 1888
            WIRE 800 1888 1040 1888
            WIRE 800 1888 800 2656
            WIRE 800 2656 1040 2656
        END BRANCH
        BEGIN BRANCH DQ(15:0)
            WIRE 2160 1760 2592 1760
        END BRANCH
        IOMARKER 2592 1760 DQ(15:0) R0 28
        IOMARKER 512 1408 SSDAT R180 28
        IOMARKER 512 1888 SCLK R180 28
        INSTANCE XLXI_109 1040 2016 R0
        INSTANCE XLXI_110 1776 2016 R0
        BEGIN BRANCH DS(15:0)
            WIRE 1424 1760 1600 1760
            WIRE 1600 1760 1776 1760
            WIRE 1600 1616 1600 1760
            WIRE 1600 1616 2592 1616
        END BRANCH
        INSTANCE XLXI_111 1040 2784 R0
        IOMARKER 512 1696 MOSI R180 28
        BEGIN BRANCH Count(7:0)
            WIRE 1424 2528 1536 2528
            WIRE 1536 2272 1536 2336
            WIRE 1536 2336 1536 2528
            BEGIN DISPLAY 1536 2528 ATTR Name
                ALIGNMENT SOFT-TCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_208
            WIRE 1680 1744 1680 1824
            WIRE 1680 1824 1776 1824
        END BRANCH
        BEGIN BRANCH XLXN_38
            WIRE 992 1984 1040 1984
            WIRE 992 1984 992 2080
            WIRE 992 2080 992 2224
            WIRE 992 2080 1744 2080
            WIRE 1744 1984 1744 2080
            WIRE 1744 1984 1776 1984
        END BRANCH
        BEGIN BRANCH DSREADY
            WIRE 2512 1376 2592 1376
        END BRANCH
        INSTANCE XLXI_103 2256 1472 R0
        IOMARKER 2592 1376 DSREADY R0 28
        BEGIN BRANCH Count(4)
            WIRE 1632 2336 1664 2336
            WIRE 1664 2336 1664 2336
            WIRE 1664 2336 1696 2336
            BEGIN DISPLAY 1672 2336 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1536 2336 1632 2336
        IOMARKER 2592 1616 DS(15:0) R0 28
        INSTANCE XLXI_122 2256 2048 R270
        INSTANCE XLXI_123 2256 2304 R270
        BEGIN BRANCH XLXN_218
            WIRE 2208 2336 2224 2336
            WIRE 2224 2304 2224 2336
        END BRANCH
        BEGIN BRANCH XLXN_219
            WIRE 2224 2048 2224 2080
        END BRANCH
        BEGIN BRANCH XLXN_221
            WIRE 880 1824 1040 1824
            WIRE 880 1824 880 2128
            WIRE 880 2128 1952 2128
            WIRE 1952 2128 1952 2336
            WIRE 1952 2336 1984 2336
            WIRE 880 2128 880 2592
            WIRE 880 2592 1040 2592
            WIRE 1920 2336 1952 2336
        END BRANCH
        INSTANCE XLXI_120 1696 2368 R0
        INSTANCE XLXI_121 1984 2368 R0
        INSTANCE XLXI_4 928 2352 R0
        BEGIN BRANCH SSDAT
            WIRE 512 1408 592 1408
            WIRE 592 1408 592 2752
            WIRE 592 2752 1040 2752
            WIRE 592 1344 592 1408
            WIRE 592 1344 1520 1344
            WIRE 1520 1344 2256 1344
        END BRANCH
        BEGIN BRANCH XLXN_222
            WIRE 1744 1408 1744 1888
            WIRE 1744 1888 1776 1888
            WIRE 1744 1408 2224 1408
            WIRE 2224 1408 2256 1408
            WIRE 2224 1408 2224 1824
        END BRANCH
        INSTANCE XLXI_118 1616 1744 R0
    END SHEET
END SCHEMATIC
