VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_384
        SIGNAL VD_IN(7:0)
        SIGNAL XLXN_614
        SIGNAL XLXN_868(15:0)
        SIGNAL XLXN_908
        SIGNAL VRAM_D(7:0)
        SIGNAL E0
        SIGNAL XLXN_870
        SIGNAL XLXN_607
        SIGNAL XLXN_925
        SIGNAL XLXN_1149
        SIGNAL XLXN_1150
        SIGNAL Latch_Din
        SIGNAL vs_out
        SIGNAL hs_out
        SIGNAL TEST_WE
        SIGNAL F_RS
        SIGNAL F_MOSI
        SIGNAL F_SCK
        SIGNAL F_DS
        SIGNAL XLXN_1347
        SIGNAL XLXN_1378
        SIGNAL XLXN_1394
        SIGNAL Tristate
        SIGNAL TEST_Clk
        SIGNAL TestLED
        SIGNAL E1
        SIGNAL write_byte
        SIGNAL PE_Dout(7:0)
        SIGNAL VRAM_A(15:0)
        SIGNAL sr_load
        SIGNAL vid_shift(7:0)
        SIGNAL XLXN_523
        SIGNAL XLXN_1434
        SIGNAL OEN
        SIGNAL TEST_OE
        SIGNAL WEN
        SIGNAL CMD_in(7:0)
        SIGNAL CMD_in(23:16)
        SIGNAL CMD_in(31:24)
        SIGNAL CMD_in(15:8)
        SIGNAL F_MISO
        SIGNAL XLXN_892(3:0)
        SIGNAL RA(15:0)
        SIGNAL XLXN_1475(15:0)
        SIGNAL CMD_in(31:0)
        SIGNAL XLXN_1479(7:0)
        SIGNAL XLXN_1481
        SIGNAL XLXN_1485
        SIGNAL ClkIn
        SIGNAL XLXN_887
        SIGNAL XLXN_888
        SIGNAL XLXN_1493
        SIGNAL latch_color
        SIGNAL XLXN_1542
        SIGNAL XLXN_1544
        SIGNAL XLXN_1545
        SIGNAL XLXN_1564
        SIGNAL XLXN_1565(7:0)
        SIGNAL block_color(4)
        SIGNAL block_color(5)
        SIGNAL red_out(2)
        SIGNAL red_out(1)
        SIGNAL green_out(2)
        SIGNAL green_out(1)
        SIGNAL blue_out(2)
        SIGNAL blue_out(1)
        SIGNAL green_out(2:0)
        SIGNAL blue_out(2:0)
        SIGNAL red_out(2:0)
        SIGNAL red_out(0)
        SIGNAL green_out(0)
        SIGNAL blue_out(0)
        SIGNAL VRAM_A(18:16)
        SIGNAL VRAM_A(18:0)
        SIGNAL block_color(7:0)
        SIGNAL block_color(3)
        SIGNAL block_color(2)
        SIGNAL block_color(1)
        SIGNAL block_color(0)
        SIGNAL vid_shift(7)
        SIGNAL XLXN_1596
        SIGNAL XLXN_1598
        PORT BiDirectional VRAM_D(7:0)
        PORT Output vs_out
        PORT Output hs_out
        PORT Input F_RS
        PORT Input F_MOSI
        PORT Input F_SCK
        PORT Input F_DS
        PORT Output TestLED
        PORT Output OEN
        PORT Output WEN
        PORT Output F_MISO
        PORT Input ClkIn
        PORT Output green_out(2:0)
        PORT Output blue_out(2:0)
        PORT Output red_out(2:0)
        PORT Output VRAM_A(18:0)
        BEGIN BLOCKDEF constant
            TIMESTAMP 2006 1 1 10 10 10
            RECTANGLE N 0 0 112 64 
            LINE N 144 32 112 32 
        END BLOCKDEF
        BEGIN BLOCKDEF cb4re
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -192 320 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
            LINE N 384 -384 320 -384 
            LINE N 384 -448 320 -448 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 384 -128 320 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -192 64 -192 
            RECTANGLE N 64 -512 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF sr8cle
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -640 320 -64 
            LINE N 0 -512 64 -512 
            RECTANGLE N 0 -524 64 -500 
            LINE N 0 -576 64 -576 
            RECTANGLE N 320 -396 384 -372 
            LINE N 0 -320 64 -320 
            LINE N 0 -192 64 -192 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 384 -384 320 -384 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF TristateBus8
            TIMESTAMP 2008 10 9 10 50 49
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF add16
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 448 -128 384 -128 
            LINE N 448 -64 384 -64 
            LINE N 240 -64 384 -64 
            LINE N 240 -124 240 -64 
            RECTANGLE N 0 -204 64 -180 
            RECTANGLE N 0 -332 64 -308 
            LINE N 0 -320 64 -320 
            LINE N 0 -192 64 -192 
            LINE N 448 -256 384 -256 
            RECTANGLE N 384 -268 448 -244 
            LINE N 0 -448 64 -448 
            LINE N 128 -448 64 -448 
            LINE N 128 -416 128 -448 
            LINE N 64 -288 64 -432 
            LINE N 128 -256 64 -288 
            LINE N 64 -224 128 -256 
            LINE N 64 -80 64 -224 
            LINE N 384 -160 64 -80 
            LINE N 384 -336 384 -160 
            LINE N 384 -352 384 -336 
            LINE N 64 -432 384 -352 
            LINE N 336 -128 336 -148 
            LINE N 384 -128 336 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF cb16ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -192 320 -192 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -128 320 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF fd8re
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 0 -32 64 -32 
            RECTANGLE N 0 -268 64 -244 
            RECTANGLE N 320 -268 384 -244 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF pixel_engine
            TIMESTAMP 2008 10 29 7 55 26
            RECTANGLE N 0 84 64 108 
            LINE N 64 96 0 96 
            LINE N 384 -416 448 -416 
            LINE N 384 -288 448 -288 
            LINE N 64 -288 0 -288 
            RECTANGLE N 384 84 448 108 
            LINE N 384 96 448 96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 20 64 44 
            LINE N 64 32 0 32 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            LINE N 64 -416 0 -416 
            RECTANGLE N 64 -448 384 136 
            LINE N 384 -352 448 -352 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_uni
            TIMESTAMP 2008 10 27 12 2 2
            RECTANGLE N 64 -448 432 72 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            LINE N 432 -416 496 -416 
            RECTANGLE N 432 -236 496 -212 
            LINE N 432 -224 496 -224 
            LINE N 432 -32 496 -32 
            RECTANGLE N 432 20 496 44 
            LINE N 432 32 496 32 
            RECTANGLE N 0 20 64 44 
            LINE N 64 32 0 32 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            LINE N 432 -160 496 -160 
            RECTANGLE N 432 -108 496 -84 
            LINE N 432 -96 496 -96 
            LINE N 432 -288 496 -288 
        END BLOCKDEF
        BEGIN BLOCKDEF ibufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF sync
            TIMESTAMP 2008 10 29 7 45 0
            LINE N 320 64 384 64 
            LINE N 320 -832 384 -832 
            LINE N 320 -768 384 -768 
            LINE N 320 -704 384 -704 
            LINE N 320 -640 384 -640 
            LINE N 320 -576 384 -576 
            LINE N 320 -512 384 -512 
            LINE N 320 -384 384 -384 
            LINE N 320 -320 384 -320 
            LINE N 320 -256 384 -256 
            LINE N 0 0 -64 0 
            LINE N 0 -832 -64 -832 
            RECTANGLE N -64 -140 0 -116 
            LINE N 0 -128 -64 -128 
            RECTANGLE N 320 -140 384 -116 
            LINE N 320 -128 384 -128 
            LINE N 0 64 -64 64 
            RECTANGLE N 0 -864 320 96 
            LINE N 320 -448 384 -448 
        END BLOCKDEF
        BEGIN BLOCK XLXI_193 vcc
            PIN P XLXN_384
        END BLOCK
        BEGIN BLOCK XLXI_294 inv
            PIN I XLXN_614
            PIN O XLXN_925
        END BLOCK
        BEGIN BLOCK XLXI_421 vcc
            PIN P XLXN_908
        END BLOCK
        BEGIN BLOCK XLXI_404 gnd
            PIN G XLXN_870
        END BLOCK
        BEGIN BLOCK XLXI_213(7:0) buf
            PIN I VRAM_D(7:0)
            PIN O VD_IN(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_420 cb16ce
            PIN C XLXN_1545
            PIN CE XLXN_908
            PIN CLR E0
            PIN CEO
            PIN Q(15:0) XLXN_868(15:0)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_400 add16
            PIN A(15:0) XLXN_1475(15:0)
            PIN B(15:0) XLXN_868(15:0)
            PIN CI XLXN_870
            PIN CO
            PIN OFL
            PIN S(15:0) RA(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_382 TristateBus8
            PIN DIS Tristate
            PIN DIN(7:0) PE_Dout(7:0)
            PIN DOUT(7:0) VRAM_D(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_194 gnd
            PIN G XLXN_607
        END BLOCK
        BEGIN BLOCK XLXI_518 fd8re
            PIN C Latch_Din
            PIN CE XLXN_1149
            PIN D(7:0) VD_IN(7:0)
            PIN R XLXN_1150
            PIN Q(7:0) XLXN_1479(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_519 vcc
            PIN P XLXN_1149
        END BLOCK
        BEGIN BLOCK XLXI_520 gnd
            PIN G XLXN_1150
        END BLOCK
        BEGIN BLOCK XLXI_232 buf
            PIN I E1
            PIN O TEST_WE
        END BLOCK
        BEGIN BLOCK XLXI_251 vcc
            PIN P XLXN_523
        END BLOCK
        BEGIN BLOCK XLXI_651 and2
            PIN I0 Latch_Din
            PIN I1 XLXN_1434
            PIN O XLXN_1394
        END BLOCK
        BEGIN BLOCK XLXI_231 buf
            PIN I write_byte
            PIN O TEST_Clk
        END BLOCK
        BEGIN BLOCK XLXI_192 cb4re
            PIN C vs_out
            PIN CE XLXN_384
            PIN R XLXN_607
            PIN CEO
            PIN Q0
            PIN Q1
            PIN Q2
            PIN Q3 TestLED
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_253 sr8cle
            PIN C XLXN_1347
            PIN CE XLXN_523
            PIN CLR XLXN_925
            PIN D(7:0) VD_IN(7:0)
            PIN L sr_load
            PIN SLI
            PIN Q(7:0) vid_shift(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_304 buf
            PIN I XLXN_1394
            PIN O OEN
        END BLOCK
        BEGIN BLOCK XLXI_242 buf
            PIN I XLXN_1394
            PIN O TEST_OE
        END BLOCK
        BEGIN BLOCK XLXI_212 buf
            PIN I XLXN_1378
            PIN O WEN
        END BLOCK
        BEGIN BLOCK XLXI_660 pixel_engine
            PIN state_in XLXN_1542
            PIN data_write_in E1
            PIN color_in(7:0) CMD_in(23:16)
            PIN cmd_in(7:0) CMD_in(31:24)
            PIN mask_in(7:0) CMD_in(7:0)
            PIN pixel_in(7:0) CMD_in(15:8)
            PIN byte_in(7:0) XLXN_1479(7:0)
            PIN count_up XLXN_1545
            PIN write_out write_byte
            PIN wrsel_color XLXN_1544
            PIN byte_out(7:0) PE_Dout(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_341 constant
            BEGIN ATTR CValue "4"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_892(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_663 SPI_uni
            PIN SCK F_SCK
            PIN MOSI F_MOSI
            PIN SSDAT F_DS
            PIN SSREG F_RS
            PIN BASEADR(3:0) XLXN_892(3:0)
            PIN MISO F_MISO
            PIN CMD_WR(31:0) CMD_in(31:0)
            PIN ADR_READY XLXN_1481
            PIN ADR_WR(15:0) XLXN_1475(15:0)
            PIN ADR_RD(15:0) RA(15:0)
            PIN DATA_RD(7:0) XLXN_1479(7:0)
            PIN AUX_READY
            PIN AUX_WR(7:0)
            PIN CMD_READY XLXN_1485
        END BLOCK
        BEGIN BLOCK XLXI_664 inv
            PIN I XLXN_1481
            PIN O E0
        END BLOCK
        BEGIN BLOCK XLXI_412 vcc
            PIN P XLXN_888
        END BLOCK
        BEGIN BLOCK XLXI_413 gnd
            PIN G XLXN_887
        END BLOCK
        BEGIN BLOCK XLXI_671 cb4re
            PIN C XLXN_1598
            PIN CE XLXN_888
            PIN R XLXN_887
            PIN CEO
            PIN Q0
            PIN Q1 XLXN_1493
            PIN Q2
            PIN Q3
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_675 inv
            PIN I XLXN_1485
            PIN O E1
        END BLOCK
        BEGIN BLOCK XLXI_707 fd8re
            PIN C latch_color
            PIN CE XLXN_523
            PIN D(7:0) VD_IN(7:0)
            PIN R XLXN_1564
            PIN Q(7:0) XLXN_1565(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_714 gnd
            PIN G XLXN_1564
        END BLOCK
        BEGIN BLOCK XLXI_726 fd8re
            PIN C sr_load
            PIN CE XLXN_1596
            PIN D(7:0) XLXN_1565(7:0)
            PIN R XLXN_1564
            PIN Q(7:0) block_color(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_679 and2
            PIN I0 vid_shift(7)
            PIN I1 block_color(5)
            PIN O red_out(2)
        END BLOCK
        BEGIN BLOCK XLXI_680 and2
            PIN I0 vid_shift(7)
            PIN I1 block_color(4)
            PIN O red_out(1)
        END BLOCK
        BEGIN BLOCK XLXI_681 and2
            PIN I0 vid_shift(7)
            PIN I1 block_color(3)
            PIN O green_out(2)
        END BLOCK
        BEGIN BLOCK XLXI_704 and2
            PIN I0 vid_shift(7)
            PIN I1 block_color(2)
            PIN O green_out(1)
        END BLOCK
        BEGIN BLOCK XLXI_705 and2
            PIN I0 vid_shift(7)
            PIN I1 block_color(1)
            PIN O blue_out(2)
        END BLOCK
        BEGIN BLOCK XLXI_706 and2
            PIN I0 vid_shift(7)
            PIN I1 block_color(0)
            PIN O blue_out(1)
        END BLOCK
        BEGIN BLOCK XLXI_697 gnd
            PIN G red_out(0)
        END BLOCK
        BEGIN BLOCK XLXI_696 gnd
            PIN G green_out(0)
        END BLOCK
        BEGIN BLOCK XLXI_695 gnd
            PIN G blue_out(0)
        END BLOCK
        BEGIN BLOCK XLXI_715(2:0) gnd
            PIN G VRAM_A(18:16)
        END BLOCK
        BEGIN BLOCK XLXI_739 vcc
            PIN P XLXN_1596
        END BLOCK
        BEGIN BLOCK XLXI_740 ibufg
            PIN I ClkIn
            PIN O XLXN_1598
        END BLOCK
        BEGIN BLOCK XLXI_741 sync
            PIN clock_in XLXN_1493
            PIN write_in write_byte
            PIN wrsel_color XLXN_1544
            PIN rw_adr(15:0) RA(15:0)
            PIN horiz_sync_out hs_out
            PIN vert_sync_out vs_out
            PIN vga_blank XLXN_614
            PIN OEV_n XLXN_1434
            PIN OER_n Latch_Din
            PIN WE_n XLXN_1378
            PIN latch_color latch_color
            PIN trist_data Tristate
            PIN latch_pixels sr_load
            PIN sr_clock XLXN_1347
            PIN vram_adr(15:0) VRAM_A(15:0)
            PIN state_out XLXN_1542
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 7040 5440
        BEGIN BRANCH XLXN_384
            WIRE 5024 2832 5024 2880
            WIRE 5024 2880 5072 2880
        END BRANCH
        BEGIN BRANCH XLXN_614
            WIRE 3552 624 3968 624
            WIRE 3968 624 3968 1536
        END BRANCH
        BEGIN BRANCH XLXN_868(15:0)
            WIRE 2208 3680 2352 3680
        END BRANCH
        BEGIN BRANCH XLXN_908
            WIRE 1760 3712 1760 3744
            WIRE 1760 3744 1824 3744
        END BRANCH
        INSTANCE XLXI_213(7:0) 5280 3840 M0
        BEGIN BRANCH VRAM_D(7:0)
            WIRE 5280 3808 5456 3808
            WIRE 5456 3808 5552 3808
            WIRE 5392 3584 5456 3584
            WIRE 5456 3584 5456 3808
        END BRANCH
        INSTANCE XLXI_518 5024 4320 R0
        INSTANCE XLXI_519 4800 4032 R0
        BEGIN BRANCH XLXN_1149
            WIRE 4864 4032 4864 4128
            WIRE 4864 4128 5024 4128
        END BRANCH
        BEGIN BRANCH XLXN_1150
            WIRE 5024 4288 5024 4320
        END BRANCH
        INSTANCE XLXI_520 4960 4448 R0
        BEGIN BRANCH Latch_Din
            WIRE 3552 752 3888 752
            WIRE 3888 752 4240 752
            WIRE 3888 752 3888 2880
            WIRE 3888 2880 3888 4192
            WIRE 3888 4192 4928 4192
            WIRE 4928 4192 5024 4192
            BEGIN DISPLAY 3888 2880 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
            BEGIN DISPLAY 4936 4192 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH vs_out
            WIRE 3552 560 4928 560
            WIRE 4928 560 5488 560
            WIRE 4928 560 4928 2944
            WIRE 4928 2944 5072 2944
        END BRANCH
        BEGIN BRANCH hs_out
            WIRE 3552 496 5488 496
        END BRANCH
        BEGIN BRANCH TEST_WE
            WIRE 5440 3200 5568 3200
            BEGIN DISPLAY 5568 3200 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        IOMARKER 5552 3808 VRAM_D(7:0) R0 28
        BEGIN BRANCH F_RS
            WIRE 304 2608 704 2608
        END BRANCH
        BEGIN BRANCH F_MOSI
            WIRE 304 2480 704 2480
        END BRANCH
        BEGIN BRANCH F_SCK
            WIRE 304 2416 704 2416
        END BRANCH
        BEGIN BRANCH F_DS
            WIRE 304 2544 704 2544
        END BRANCH
        BEGIN BRANCH PE_Dout(7:0)
            WIRE 4912 3648 5008 3648
            BEGIN DISPLAY 4912 3648 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_925
            WIRE 3968 1760 3968 1840
            WIRE 3968 1840 4304 1840
        END BRANCH
        BEGIN BRANCH Tristate
            WIRE 3552 944 4240 944
            WIRE 4240 944 4720 944
            WIRE 4720 944 4720 3584
            WIRE 4720 3584 4848 3584
            WIRE 4848 3584 5008 3584
            BEGIN DISPLAY 4240 944 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
            BEGIN DISPLAY 4852 3584 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TEST_Clk
            WIRE 5408 272 5488 272
            BEGIN DISPLAY 5488 272 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_231 5184 304 R0
        BEGIN BRANCH TestLED
            WIRE 5456 2816 5616 2816
        END BRANCH
        INSTANCE XLXI_400 2352 3872 R0
        BEGIN BRANCH XLXN_870
            WIRE 2304 3424 2304 3776
            WIRE 2304 3424 2352 3424
        END BRANCH
        INSTANCE XLXI_404 2240 3904 R0
        BEGIN BRANCH VRAM_A(15:0)
            WIRE 3552 1200 4048 1200
            BEGIN DISPLAY 4048 1200 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        IOMARKER 5488 496 hs_out R0 28
        IOMARKER 5488 560 vs_out R0 28
        BEGIN BRANCH sr_load
            WIRE 3552 1008 3744 1008
            WIRE 3744 1008 3744 1552
            WIRE 3744 1552 4144 1552
            WIRE 4144 1552 4272 1552
            WIRE 4272 1552 4304 1552
            WIRE 4272 1552 4272 1952
            WIRE 4272 1952 4848 1952
            WIRE 4848 1952 4848 2256
            WIRE 4848 2256 5072 2256
            BEGIN DISPLAY 4144 1552 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH vid_shift(7:0)
            WIRE 4688 1488 5040 1488
            WIRE 5040 1488 5152 1488
            BEGIN DISPLAY 5152 1488 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_253 4304 1872 R0
        INSTANCE XLXI_251 4144 1536 R0
        BEGIN BRANCH XLXN_1434
            WIRE 3552 688 4240 688
        END BRANCH
        INSTANCE XLXI_294 3936 1536 R90
        INSTANCE XLXI_651 4240 816 R0
        BEGIN BRANCH XLXN_1378
            WIRE 3552 816 5200 816
        END BRANCH
        INSTANCE XLXI_304 5200 784 R0
        INSTANCE XLXI_242 5200 720 R0
        BEGIN BRANCH OEN
            WIRE 5424 752 5488 752
        END BRANCH
        BEGIN BRANCH TEST_OE
            WIRE 5424 688 5488 688
            BEGIN DISPLAY 5488 688 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        IOMARKER 5488 752 OEN R0 28
        BEGIN BRANCH XLXN_1394
            WIRE 4496 720 5088 720
            WIRE 5088 720 5088 752
            WIRE 5088 752 5200 752
            WIRE 5088 688 5200 688
            WIRE 5088 688 5088 720
        END BRANCH
        INSTANCE XLXI_212 5200 848 R0
        BEGIN BRANCH WEN
            WIRE 5424 816 5488 816
        END BRANCH
        IOMARKER 5488 816 WEN R0 28
        BEGIN BRANCH PE_Dout(7:0)
            WIRE 2608 2736 3216 2736
            BEGIN DISPLAY 3216 2736 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_660 2160 2640 R0
        END INSTANCE
        BEGIN BRANCH CMD_in(7:0)
            WIRE 1872 2672 2160 2672
            BEGIN DISPLAY 1872 2672 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CMD_in(23:16)
            WIRE 1872 2544 2160 2544
            BEGIN DISPLAY 1872 2544 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CMD_in(31:24)
            WIRE 1872 2480 2160 2480
            BEGIN DISPLAY 1872 2480 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CMD_in(15:8)
            WIRE 1872 2608 2160 2608
            BEGIN DISPLAY 1872 2608 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH F_MISO
            WIRE 1200 2416 1376 2416
        END BRANCH
        BEGIN BRANCH XLXN_892(3:0)
            WIRE 336 2736 432 2736
            WIRE 432 2672 432 2736
            WIRE 432 2672 704 2672
        END BRANCH
        BEGIN BRANCH XLXN_1475(15:0)
            WIRE 1200 2864 1904 2864
            WIRE 1904 2864 1904 3552
            WIRE 1904 3552 2352 3552
        END BRANCH
        BEGIN BRANCH CMD_in(31:0)
            WIRE 1200 2608 1408 2608
            BEGIN DISPLAY 1408 2608 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_663 704 2832 R0
        END INSTANCE
        BEGIN BRANCH XLXN_1479(7:0)
            WIRE 608 2736 704 2736
            WIRE 608 2736 608 3088
            WIRE 608 3088 608 4512
            WIRE 608 4512 5488 4512
            WIRE 608 3088 2096 3088
            WIRE 2096 2736 2160 2736
            WIRE 2096 2736 2096 3088
            WIRE 5408 4064 5488 4064
            WIRE 5488 4064 5488 4512
        END BRANCH
        IOMARKER 1376 2416 F_MISO R0 28
        BEGIN BRANCH E0
            WIRE 1552 2800 1584 2800
            WIRE 1584 2800 1584 3904
            WIRE 1584 3904 1744 3904
            WIRE 1744 3904 1824 3904
            BEGIN DISPLAY 1744 3904 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_1481
            WIRE 1200 2800 1328 2800
        END BRANCH
        BEGIN BRANCH E1
            WIRE 1552 2544 1632 2544
            WIRE 1632 2544 1632 3200
            WIRE 1632 3200 5216 3200
            WIRE 1632 2352 2160 2352
            WIRE 1632 2352 1632 2544
        END BRANCH
        BEGIN BRANCH XLXN_1485
            WIRE 1200 2544 1328 2544
        END BRANCH
        BEGIN BRANCH XLXN_888
            WIRE 2400 624 2400 688
            WIRE 2400 688 2464 688
        END BRANCH
        INSTANCE XLXI_420 1824 3936 R0
        INSTANCE XLXI_421 1696 3712 R0
        INSTANCE XLXI_664 1328 2832 R0
        INSTANCE XLXI_675 1328 2576 R0
        INSTANCE XLXI_671 2464 880 R0
        BEGIN BRANCH XLXN_887
            WIRE 2464 848 2464 928
        END BRANCH
        INSTANCE XLXI_413 2400 1056 R0
        INSTANCE XLXI_412 2336 624 R0
        INSTANCE XLXI_192 5072 3072 R0
        BEGIN BRANCH XLXN_607
            WIRE 5024 3040 5024 3056
            WIRE 5024 3040 5072 3040
        END BRANCH
        INSTANCE XLXI_194 4960 3184 R0
        INSTANCE XLXI_193 4960 2832 R0
        IOMARKER 5616 2816 TestLED R0 28
        IOMARKER 304 2608 F_RS R180 28
        IOMARKER 304 2544 F_DS R180 28
        IOMARKER 304 2480 F_MOSI R180 28
        IOMARKER 304 2416 F_SCK R180 28
        BEGIN INSTANCE XLXI_341 192 2704 R0
        END INSTANCE
        BEGIN BRANCH VD_IN(7:0)
            WIRE 3568 3808 4064 3808
            WIRE 4064 3808 4976 3808
            WIRE 4976 3808 5056 3808
            WIRE 4976 3808 4976 4064
            WIRE 4976 4064 5024 4064
            WIRE 4064 1360 4304 1360
            WIRE 4064 1360 4064 2128
            WIRE 4064 2128 4304 2128
            WIRE 4064 2128 4064 3808
            BEGIN DISPLAY 3568 3808 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_707 4304 2384 R0
        BEGIN BRANCH write_byte
            WIRE 2608 2352 2672 2352
            WIRE 2672 2352 3040 2352
            WIRE 3040 272 5184 272
            WIRE 3040 272 3040 1328
            WIRE 3040 1328 3040 2352
            WIRE 3040 1328 3104 1328
            BEGIN DISPLAY 2672 2352 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_232 5216 3232 R0
        BEGIN BRANCH latch_color
            WIRE 3552 1392 3616 1392
            WIRE 3616 1392 3616 1856
            WIRE 3616 1856 3616 2256
            WIRE 3616 2256 4304 2256
            BEGIN DISPLAY 3616 1856 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_1542
            WIRE 2096 1968 2096 2224
            WIRE 2096 2224 2160 2224
            WIRE 2096 1968 3808 1968
            WIRE 3552 880 3808 880
            WIRE 3808 880 3808 1968
        END BRANCH
        BEGIN BRANCH RA(15:0)
            WIRE 544 2864 704 2864
            WIRE 544 2864 544 2960
            WIRE 544 2960 1296 2960
            WIRE 1296 2960 2608 2960
            WIRE 2608 2960 2912 2960
            WIRE 2912 2960 2912 3616
            WIRE 2800 3616 2912 3616
            WIRE 2912 1200 3104 1200
            WIRE 2912 1200 2912 2960
            BEGIN DISPLAY 1300 2960 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
            BEGIN DISPLAY 2604 2960 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_1544
            WIRE 2608 2288 2848 2288
            WIRE 2848 1392 3104 1392
            WIRE 2848 1392 2848 2288
        END BRANCH
        BEGIN BRANCH XLXN_1545
            WIRE 1632 3280 1632 3808
            WIRE 1632 3808 1824 3808
            WIRE 1632 3280 2784 3280
            WIRE 2608 2224 2784 2224
            WIRE 2784 2224 2784 3280
        END BRANCH
        INSTANCE XLXI_714 4224 2608 R0
        BEGIN BRANCH XLXN_1565(7:0)
            WIRE 4688 2128 5072 2128
        END BRANCH
        INSTANCE XLXI_679 5904 1104 R0
        INSTANCE XLXI_680 5904 1232 R0
        INSTANCE XLXI_681 5904 1360 R0
        INSTANCE XLXI_704 5904 1488 R0
        INSTANCE XLXI_705 5904 1616 R0
        INSTANCE XLXI_706 5904 1744 R0
        BUSTAP 5632 976 5728 976
        BEGIN BRANCH block_color(5)
            WIRE 5728 976 5808 976
            WIRE 5808 976 5904 976
            BEGIN DISPLAY 5816 976 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH red_out(2)
            WIRE 6160 1008 6256 1008
            BEGIN DISPLAY 6256 1008 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH red_out(1)
            WIRE 6160 1136 6256 1136
            BEGIN DISPLAY 6256 1136 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH green_out(2)
            WIRE 6160 1264 6256 1264
            BEGIN DISPLAY 6256 1264 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH green_out(1)
            WIRE 6160 1392 6256 1392
            BEGIN DISPLAY 6256 1392 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH blue_out(2)
            WIRE 6160 1520 6256 1520
            BEGIN DISPLAY 6256 1520 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH blue_out(1)
            WIRE 6160 1648 6256 1648
            BEGIN DISPLAY 6256 1648 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH green_out(2:0)
            WIRE 6336 1328 6384 1328
        END BRANCH
        BEGIN BRANCH blue_out(2:0)
            WIRE 6336 1584 6384 1584
        END BRANCH
        BEGIN BRANCH red_out(2:0)
            WIRE 6336 1072 6384 1072
        END BRANCH
        INSTANCE XLXI_697 5872 1952 R0
        BEGIN BRANCH red_out(0)
            WIRE 5936 1792 5936 1824
            WIRE 5936 1792 5968 1792
            BEGIN DISPLAY 5968 1792 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_696 6080 1952 R0
        BEGIN BRANCH green_out(0)
            WIRE 6144 1792 6144 1824
            WIRE 6144 1792 6176 1792
            BEGIN DISPLAY 6176 1792 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_695 6304 1952 R0
        BEGIN BRANCH blue_out(0)
            WIRE 6368 1792 6368 1824
            WIRE 6368 1792 6400 1792
            BEGIN DISPLAY 6400 1792 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH VRAM_A(18:16)
            WIRE 6272 2272 6384 2272
            WIRE 6272 2272 6272 2304
            BEGIN DISPLAY 6384 2272 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_715(2:0) 6208 2432 R0
        BEGIN BRANCH VRAM_A(18:0)
            WIRE 6192 2192 6368 2192
        END BRANCH
        BEGIN BRANCH block_color(7:0)
            WIRE 5456 2128 5632 2128
            WIRE 5632 928 5632 976
            WIRE 5632 976 5632 1104
            WIRE 5632 1104 5632 1232
            WIRE 5632 1232 5632 1360
            WIRE 5632 1360 5632 1488
            WIRE 5632 1488 5632 1616
            WIRE 5632 1616 5632 1840
            WIRE 5632 1840 5632 2128
            BEGIN DISPLAY 5632 1840 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 6384 1328 green_out(2:0) R0 28
        IOMARKER 6384 1584 blue_out(2:0) R0 28
        IOMARKER 6384 1072 red_out(2:0) R0 28
        IOMARKER 6368 2192 VRAM_A(18:0) R0 28
        BEGIN INSTANCE XLXI_382 5008 3680 R0
        END INSTANCE
        INSTANCE XLXI_726 5072 2384 R0
        BEGIN BRANCH XLXN_1564
            WIRE 4288 2352 4304 2352
            WIRE 4288 2352 4288 2400
            WIRE 4288 2400 4288 2480
            WIRE 4288 2400 5072 2400
            WIRE 5072 2352 5072 2400
        END BRANCH
        BUSTAP 5632 1104 5728 1104
        BEGIN BRANCH block_color(4)
            WIRE 5728 1104 5808 1104
            WIRE 5808 1104 5904 1104
            BEGIN DISPLAY 5816 1104 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5632 1232 5728 1232
        BEGIN BRANCH block_color(3)
            WIRE 5728 1232 5808 1232
            WIRE 5808 1232 5904 1232
            BEGIN DISPLAY 5816 1232 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5632 1360 5728 1360
        BEGIN BRANCH block_color(2)
            WIRE 5728 1360 5808 1360
            WIRE 5808 1360 5904 1360
            BEGIN DISPLAY 5816 1360 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5632 1488 5728 1488
        BEGIN BRANCH block_color(1)
            WIRE 5728 1488 5808 1488
            WIRE 5808 1488 5904 1488
            BEGIN DISPLAY 5816 1488 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5632 1616 5728 1616
        BEGIN BRANCH block_color(0)
            WIRE 5728 1616 5808 1616
            WIRE 5808 1616 5904 1616
            BEGIN DISPLAY 5816 1616 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 5040 1488 5040 1584
        BEGIN BRANCH XLXN_1347
            WIRE 3552 1072 3680 1072
            WIRE 3680 1072 3680 1744
            WIRE 3680 1744 4304 1744
        END BRANCH
        BEGIN BRANCH XLXN_523
            WIRE 4208 1536 4208 1680
            WIRE 4208 1680 4304 1680
            WIRE 4208 1680 4208 2192
            WIRE 4208 2192 4304 2192
        END BRANCH
        INSTANCE XLXI_739 4944 2032 R0
        BEGIN BRANCH XLXN_1596
            WIRE 5008 2032 5008 2192
            WIRE 5008 2192 5072 2192
        END BRANCH
        BEGIN BRANCH XLXN_1493
            WIRE 2848 496 2992 496
            WIRE 2992 496 3104 496
            WIRE 2992 496 2992 560
        END BRANCH
        IOMARKER 1200 752 ClkIn R180 28
        BEGIN BRANCH ClkIn
            WIRE 1200 752 1392 752
        END BRANCH
        INSTANCE XLXI_740 1392 784 R0
        BEGIN BRANCH XLXN_1598
            WIRE 1616 752 2464 752
        END BRANCH
        BEGIN INSTANCE XLXI_741 3168 1328 R0
        END INSTANCE
        BEGIN BRANCH vid_shift(7)
            WIRE 5040 1584 5040 1680
            WIRE 5040 1680 5232 1680
            WIRE 5232 1680 5856 1680
            WIRE 5856 1680 5904 1680
            WIRE 5856 1040 5904 1040
            WIRE 5856 1040 5856 1168
            WIRE 5856 1168 5904 1168
            WIRE 5856 1168 5856 1296
            WIRE 5856 1296 5904 1296
            WIRE 5856 1296 5856 1424
            WIRE 5856 1424 5904 1424
            WIRE 5856 1424 5856 1552
            WIRE 5856 1552 5904 1552
            WIRE 5856 1552 5856 1680
            BEGIN DISPLAY 5232 1680 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
