VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL MOSI
        SIGNAL SCLK
        SIGNAL DSREADY
        SIGNAL SSDAT
        SIGNAL DS(15:0)
        SIGNAL Count(7:0)
        SIGNAL DS(31:16)
        SIGNAL DQ(31:16)
        SIGNAL XLXN_213
        SIGNAL DQ(15:0)
        SIGNAL DQ(31:0)
        SIGNAL DS(15)
        SIGNAL DS(31:0)
        SIGNAL Count(5)
        SIGNAL XLXN_222
        SIGNAL XLXN_223
        SIGNAL XLXN_224
        SIGNAL XLXN_226
        SIGNAL XLXN_227
        PORT Input MOSI
        PORT Input SCLK
        PORT Output DSREADY
        PORT Input SSDAT
        PORT Output DQ(31:0)
        PORT Output DS(31:0)
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF sr16ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -192 64 -192 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -32 64 -32 
            LINE N 0 -320 64 -320 
            RECTANGLE N 64 -384 320 -64 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
        END BLOCKDEF
        BEGIN BLOCKDEF fd16ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            RECTANGLE N 320 -268 384 -244 
            RECTANGLE N 0 -268 64 -244 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF cb8ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -128 320 -128 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -192 320 -192 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_4 gnd
            PIN G XLXN_213
        END BLOCK
        BEGIN BLOCK XLXI_103 or2
            PIN I0 XLXN_223
            PIN I1 SSDAT
            PIN O DSREADY
        END BLOCK
        BEGIN BLOCK XLXI_109 sr16ce
            PIN C SCLK
            PIN CE XLXN_224
            PIN CLR XLXN_213
            PIN SLI MOSI
            PIN Q(15:0) DS(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_110 fd16ce
            PIN C XLXN_223
            PIN CE XLXN_222
            PIN CLR XLXN_213
            PIN D(15:0) DS(15:0)
            PIN Q(15:0) DQ(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_111 cb8ce
            PIN C SCLK
            PIN CE XLXN_224
            PIN CLR SSDAT
            PIN CEO
            PIN Q(7:0) Count(7:0)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_118 sr16ce
            PIN C SCLK
            PIN CE XLXN_224
            PIN CLR XLXN_213
            PIN SLI DS(15)
            PIN Q(15:0) DS(31:16)
        END BLOCK
        BEGIN BLOCK XLXI_119 fd16ce
            PIN C XLXN_223
            PIN CE XLXN_222
            PIN CLR XLXN_213
            PIN D(15:0) DS(31:16)
            PIN Q(15:0) DQ(31:16)
        END BLOCK
        BEGIN BLOCK XLXI_102 inv
            PIN I XLXN_224
            PIN O XLXN_226
        END BLOCK
        BEGIN BLOCK XLXI_101 inv
            PIN I Count(5)
            PIN O XLXN_224
        END BLOCK
        BEGIN BLOCK XLXI_120 vcc
            PIN P XLXN_222
        END BLOCK
        BEGIN BLOCK XLXI_123 inv
            PIN I XLXN_226
            PIN O XLXN_227
        END BLOCK
        BEGIN BLOCK XLXI_124 inv
            PIN I XLXN_227
            PIN O XLXN_223
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 5440 3520
        INSTANCE XLXI_4 928 2256 R0
        BEGIN BRANCH DSREADY
            WIRE 2736 1440 3024 1440
        END BRANCH
        IOMARKER 512 1408 SSDAT R180 28
        IOMARKER 512 1888 SCLK R180 28
        INSTANCE XLXI_110 1776 2016 R0
        BEGIN BRANCH DS(15:0)
            WIRE 1424 1760 1520 1760
            WIRE 1520 1760 1776 1760
        END BRANCH
        INSTANCE XLXI_111 1040 2784 R0
        BEGIN BRANCH Count(7:0)
            WIRE 1424 2528 1536 2528
            WIRE 1536 2528 1536 2608
            WIRE 1536 2608 1536 2768
            WIRE 1536 2768 1536 2848
            BEGIN DISPLAY 1536 2608 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 512 1696 MOSI R180 28
        INSTANCE XLXI_118 1040 1360 R0
        INSTANCE XLXI_119 1760 1360 R0
        BEGIN BRANCH DS(31:16)
            WIRE 1424 1104 1520 1104
            WIRE 1520 1104 1760 1104
            BEGIN DISPLAY 1520 1104 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DQ(31:16)
            WIRE 2144 1104 2464 1104
            BEGIN DISPLAY 2464 1104 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_213
            WIRE 992 1328 1040 1328
            WIRE 992 1328 992 1984
            WIRE 992 1984 1040 1984
            WIRE 992 1984 992 2080
            WIRE 992 2080 992 2128
            WIRE 992 2080 1728 2080
            WIRE 1728 1328 1760 1328
            WIRE 1728 1328 1728 1984
            WIRE 1728 1984 1728 2080
            WIRE 1728 1984 1776 1984
        END BRANCH
        BEGIN BRANCH SCLK
            WIRE 512 1888 800 1888
            WIRE 800 1888 800 2656
            WIRE 800 2656 1040 2656
            WIRE 800 1888 944 1888
            WIRE 944 1888 1040 1888
            WIRE 944 1232 1040 1232
            WIRE 944 1232 944 1888
        END BRANCH
        BEGIN BRANCH MOSI
            WIRE 512 1696 1040 1696
        END BRANCH
        INSTANCE XLXI_109 1040 2016 R0
        BUSTAP 1520 1760 1520 1664
        BEGIN BRANCH DQ(15:0)
            WIRE 2160 1760 2496 1760
            BEGIN DISPLAY 2496 1760 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DQ(31:0)
            WIRE 2816 1104 3024 1104
        END BRANCH
        IOMARKER 3024 1104 DQ(31:0) R0 28
        IOMARKER 3024 1440 DSREADY R0 28
        INSTANCE XLXI_103 2480 1536 R0
        BEGIN BRANCH DS(15)
            WIRE 304 1040 304 1504
            WIRE 304 1504 1184 1504
            WIRE 1184 1504 1184 1504
            WIRE 1184 1504 1520 1504
            WIRE 1520 1504 1520 1664
            WIRE 304 1040 1040 1040
            BEGIN DISPLAY 1188 1504 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DS(31:0)
            WIRE 2816 976 3024 976
        END BRANCH
        IOMARKER 3024 976 DS(31:0) R0 28
        BEGIN BRANCH Count(5)
            WIRE 1632 2768 1696 2768
            WIRE 1696 2768 1776 2768
            BEGIN DISPLAY 1696 2768 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1536 2768 1632 2768
        INSTANCE XLXI_101 1776 2800 R0
        BEGIN BRANCH SSDAT
            WIRE 512 1408 592 1408
            WIRE 592 1408 592 2752
            WIRE 592 2752 1040 2752
            WIRE 592 1408 2480 1408
        END BRANCH
        BEGIN BRANCH XLXN_222
            WIRE 1616 1008 1616 1168
            WIRE 1616 1168 1616 1824
            WIRE 1616 1824 1776 1824
            WIRE 1616 1168 1760 1168
        END BRANCH
        BEGIN BRANCH XLXN_223
            WIRE 1680 1232 1680 1472
            WIRE 1680 1472 1680 1888
            WIRE 1680 1888 1776 1888
            WIRE 1680 1472 2336 1472
            WIRE 2336 1472 2480 1472
            WIRE 2336 1472 2336 2128
            WIRE 1680 1232 1760 1232
        END BRANCH
        INSTANCE XLXI_120 1552 1008 R0
        INSTANCE XLXI_102 2080 2800 R0
        BEGIN BRANCH XLXN_224
            WIRE 880 1168 880 1824
            WIRE 880 1824 880 2288
            WIRE 880 2288 880 2592
            WIRE 880 2592 1040 2592
            WIRE 880 2288 2032 2288
            WIRE 2032 2288 2032 2768
            WIRE 2032 2768 2080 2768
            WIRE 880 1824 1040 1824
            WIRE 880 1168 1040 1168
            WIRE 2000 2768 2032 2768
        END BRANCH
        INSTANCE XLXI_123 2368 2656 R270
        INSTANCE XLXI_124 2368 2352 R270
        BEGIN BRANCH XLXN_226
            WIRE 2304 2768 2336 2768
            WIRE 2336 2656 2336 2768
        END BRANCH
        BEGIN BRANCH XLXN_227
            WIRE 2336 2352 2336 2432
        END BRANCH
    END SHEET
END SCHEMATIC
