VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL MOSI
        SIGNAL SCLK
        SIGNAL XLXN_38
        SIGNAL DQ(7:0)
        SIGNAL DSREADY
        SIGNAL SSDAT
        SIGNAL DS(7:0)
        SIGNAL Q3
        SIGNAL XLXN_210
        SIGNAL XLXN_211
        SIGNAL Q3d
        SIGNAL XLXN_219
        SIGNAL XLXN_221
        PORT Input MOSI
        PORT Input SCLK
        PORT Output DQ(7:0)
        PORT Output DSREADY
        PORT Input SSDAT
        PORT Output DS(7:0)
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF cb4ce
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -512 320 -64 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
            LINE N 384 -384 320 -384 
            LINE N 384 -448 320 -448 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 384 -128 320 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -192 64 -192 
            LINE N 384 -192 320 -192 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF sr8ce
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 320 -268 384 -244 
            LINE N 0 -192 64 -192 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 384 -256 320 -256 
            LINE N 0 -128 64 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -32 64 -32 
            LINE N 0 -320 64 -320 
            RECTANGLE N 64 -384 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF fd8ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            RECTANGLE N 320 -268 384 -244 
            RECTANGLE N 0 -268 64 -244 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_4 gnd
            PIN G XLXN_38
        END BLOCK
        BEGIN BLOCK XLXI_96 cb4ce
            PIN C SCLK
            PIN CE XLXN_211
            PIN CLR SSDAT
            PIN CEO
            PIN Q0
            PIN Q1
            PIN Q2
            PIN Q3 Q3
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_103 or2
            PIN I0 XLXN_221
            PIN I1 SSDAT
            PIN O DSREADY
        END BLOCK
        BEGIN BLOCK XLXI_106 inv
            PIN I Q3d
            PIN O XLXN_219
        END BLOCK
        BEGIN BLOCK XLXI_111 sr8ce
            PIN C SCLK
            PIN CE XLXN_211
            PIN CLR XLXN_38
            PIN SLI MOSI
            PIN Q(7:0) DS(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_112 fd8ce
            PIN C XLXN_221
            PIN CE XLXN_210
            PIN CLR XLXN_38
            PIN D(7:0) DS(7:0)
            PIN Q(7:0) DQ(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_99 inv
            PIN I Q3
            PIN O XLXN_211
        END BLOCK
        BEGIN BLOCK XLXI_101 inv
            PIN I XLXN_211
            PIN O Q3d
        END BLOCK
        BEGIN BLOCK XLXI_113 vcc
            PIN P XLXN_210
        END BLOCK
        BEGIN BLOCK XLXI_114 inv
            PIN I XLXN_219
            PIN O XLXN_221
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 5440 3520
        BEGIN BRANCH MOSI
            WIRE 528 1696 1040 1696
        END BRANCH
        BEGIN BRANCH DQ(7:0)
            WIRE 2160 1760 2336 1760
            WIRE 2336 1760 2608 1760
            BEGIN DISPLAY 2336 1760 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_96 1040 2784 R0
        INSTANCE XLXI_4 928 2256 R0
        BEGIN BRANCH XLXN_38
            WIRE 992 1984 1040 1984
            WIRE 992 1984 992 2080
            WIRE 992 2080 992 2128
            WIRE 992 2080 1776 2080
            WIRE 1776 1984 1776 2080
        END BRANCH
        BEGIN BRANCH DSREADY
            WIRE 2512 1392 2608 1392
        END BRANCH
        IOMARKER 528 1696 MOSI R180 28
        IOMARKER 512 1888 SCLK R180 28
        INSTANCE XLXI_111 1040 2016 R0
        INSTANCE XLXI_112 1776 2016 R0
        BEGIN BRANCH DS(7:0)
            WIRE 1424 1760 1472 1760
            WIRE 1472 1760 1776 1760
            WIRE 1472 1584 2608 1584
            WIRE 1472 1584 1472 1760
        END BRANCH
        BEGIN BRANCH SCLK
            WIRE 512 1888 784 1888
            WIRE 784 1888 784 2656
            WIRE 784 2656 1040 2656
            WIRE 784 1888 1040 1888
        END BRANCH
        INSTANCE XLXI_103 2256 1488 R0
        IOMARKER 2608 1392 DSREADY R0 28
        INSTANCE XLXI_99 1520 2560 R0
        IOMARKER 512 1424 SSDAT R180 28
        IOMARKER 2608 1584 DS(7:0) R0 28
        BEGIN BRANCH XLXN_210
            WIRE 1712 1712 1712 1824
            WIRE 1712 1824 1776 1824
        END BRANCH
        INSTANCE XLXI_113 1648 1712 R0
        IOMARKER 2608 1760 DQ(7:0) R0 28
        BEGIN BRANCH Q3
            WIRE 1424 2528 1520 2528
        END BRANCH
        INSTANCE XLXI_101 1888 2560 R0
        BEGIN BRANCH XLXN_211
            WIRE 880 1824 880 2128
            WIRE 880 2128 1808 2128
            WIRE 1808 2128 1808 2528
            WIRE 1808 2528 1888 2528
            WIRE 880 2128 880 2592
            WIRE 880 2592 1040 2592
            WIRE 880 1824 1040 1824
            WIRE 1744 2528 1808 2528
        END BRANCH
        BEGIN BRANCH SSDAT
            WIRE 512 1424 592 1424
            WIRE 592 1424 592 2752
            WIRE 592 2752 1040 2752
            WIRE 592 1360 2256 1360
            WIRE 592 1360 592 1424
        END BRANCH
        BEGIN BRANCH Q3d
            WIRE 2112 2528 2240 2528
            WIRE 2240 2496 2240 2528
        END BRANCH
        INSTANCE XLXI_106 2272 2496 R270
        BEGIN BRANCH XLXN_219
            WIRE 2240 2240 2240 2272
        END BRANCH
        INSTANCE XLXI_114 2272 2240 R270
        BEGIN BRANCH XLXN_221
            WIRE 1648 1424 1648 1888
            WIRE 1648 1888 1776 1888
            WIRE 1648 1424 2240 1424
            WIRE 2240 1424 2256 1424
            WIRE 2240 1424 2240 1968
            WIRE 2240 1968 2240 2016
        END BRANCH
    END SHEET
END SCHEMATIC
