VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL SSDATN
        SIGNAL XLXN_244
        SIGNAL SPI_CLKINV
        SIGNAL XLXN_284
        SIGNAL Q0H(7:0)
        SIGNAL SCLK
        SIGNAL XLXN_357
        SIGNAL Q0H(7)
        SIGNAL DATA(7:0)
        SIGNAL MISO
        SIGNAL SSDAT
        PORT Output SSDATN
        PORT Input SCLK
        PORT Input DATA(7:0)
        PORT Output MISO
        PORT Input SSDAT
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF fdc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF sr8cle
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -640 320 -64 
            LINE N 0 -512 64 -512 
            RECTANGLE N 0 -524 64 -500 
            LINE N 0 -576 64 -576 
            RECTANGLE N 320 -396 384 -372 
            LINE N 0 -320 64 -320 
            LINE N 0 -192 64 -192 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 384 -384 320 -384 
        END BLOCKDEF
        BEGIN BLOCKDEF and2b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 256 -96 192 -96 
            LINE N 0 -128 64 -128 
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
        END BLOCKDEF
        BEGIN BLOCK XLXI_4 gnd
            PIN G XLXN_244
        END BLOCK
        BEGIN BLOCK XLXI_119 inv
            PIN I SSDAT
            PIN O SSDATN
        END BLOCK
        BEGIN BLOCK XLXI_199 fdc
            PIN C SPI_CLKINV
            PIN CLR SSDAT
            PIN D SSDATN
            PIN Q XLXN_284
        END BLOCK
        BEGIN BLOCK XLXI_200 inv
            PIN I XLXN_284
            PIN O XLXN_357
        END BLOCK
        BEGIN BLOCK XLXI_214 inv
            PIN I SCLK
            PIN O SPI_CLKINV
        END BLOCK
        BEGIN BLOCK XLXI_216 sr8cle
            PIN C SPI_CLKINV
            PIN CE SSDATN
            PIN CLR XLXN_244
            PIN D(7:0) DATA(7:0)
            PIN L XLXN_357
            PIN SLI
            PIN Q(7:0) Q0H(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_217 and2b1
            PIN I0 SSDAT
            PIN I1 Q0H(7)
            PIN O MISO
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 5440 3520
        INSTANCE XLXI_199 1168 1520 R0
        BEGIN BRANCH XLXN_284
            WIRE 1552 1264 1600 1264
        END BRANCH
        INSTANCE XLXI_200 1600 1296 R0
        BEGIN BRANCH Q0H(7:0)
            WIRE 2432 1024 2480 1024
            BEGIN DISPLAY 2480 1024 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SCLK
            WIRE 768 1392 880 1392
        END BRANCH
        INSTANCE XLXI_214 880 1424 R0
        IOMARKER 768 1392 SCLK R180 28
        INSTANCE XLXI_119 880 1088 R0
        BEGIN BRANCH XLXN_244
            WIRE 2048 1376 2048 1584
        END BRANCH
        BEGIN BRANCH SPI_CLKINV
            WIRE 1104 1392 1120 1392
            WIRE 1120 1392 1168 1392
            WIRE 1120 1392 1120 1520
            WIRE 1120 1520 1936 1520
            WIRE 1936 1280 2048 1280
            WIRE 1936 1280 1936 1520
        END BRANCH
        BEGIN BRANCH XLXN_357
            WIRE 1824 1264 1840 1264
            WIRE 1840 1088 2048 1088
            WIRE 1840 1088 1840 1264
        END BRANCH
        BEGIN BRANCH Q0H(7)
            WIRE 1840 464 1888 464
            BEGIN DISPLAY 1840 464 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SSDATN
            WIRE 1104 1056 1152 1056
            WIRE 1152 1056 1152 1136
            WIRE 1152 1136 1152 1264
            WIRE 1152 1264 1168 1264
            WIRE 1152 1136 1664 1136
            WIRE 1664 1136 2000 1136
            WIRE 2000 1136 2000 1216
            WIRE 2000 1216 2048 1216
            BEGIN DISPLAY 1664 1136 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_4 1984 1712 R0
        BEGIN BRANCH DATA(7:0)
            WIRE 752 896 2048 896
        END BRANCH
        INSTANCE XLXI_216 2048 1408 R0
        IOMARKER 752 896 DATA(7:0) R180 28
        INSTANCE XLXI_217 1888 592 R0
        BEGIN BRANCH MISO
            WIRE 2144 496 2160 496
            WIRE 2160 496 2432 496
        END BRANCH
        IOMARKER 2432 496 MISO R0 28
        BEGIN BRANCH SSDAT
            WIRE 752 1056 832 1056
            WIRE 832 1056 832 1488
            WIRE 832 1488 1168 1488
            WIRE 832 1056 880 1056
            WIRE 832 528 1888 528
            WIRE 832 528 832 1056
        END BRANCH
        IOMARKER 752 1056 SSDAT R180 28
    END SHEET
END SCHEMATIC
