VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL SCK
        SIGNAL MOSI
        SIGNAL SSDAT
        SIGNAL SSREG
        SIGNAL BASEADR(3:0)
        SIGNAL MISO
        SIGNAL XLXN_594
        SIGNAL XLXN_595
        SIGNAL XLXN_596
        SIGNAL XLXN_597
        SIGNAL ADR_READY
        SIGNAL XLXN_638
        SIGNAL XLXN_639
        SIGNAL AUX_READY
        SIGNAL CMD_READY
        SIGNAL ADR_WR(15:0)
        SIGNAL AUX_WR(7:0)
        SIGNAL CMD_WR(31:0)
        SIGNAL ADR_RD(15:0)
        SIGNAL DATA_RD(7:0)
        PORT Input SCK
        PORT Input MOSI
        PORT Input SSDAT
        PORT Input SSREG
        PORT Input BASEADR(3:0)
        PORT Output MISO
        PORT Output ADR_READY
        PORT Output AUX_READY
        PORT Output CMD_READY
        PORT Output ADR_WR(15:0)
        PORT Output AUX_WR(7:0)
        PORT Output CMD_WR(31:0)
        PORT Input ADR_RD(15:0)
        PORT Input DATA_RD(7:0)
        BEGIN BLOCKDEF SPI_dec8
            TIMESTAMP 2008 10 21 16 53 20
            RECTANGLE N 0 -12 64 12 
            LINE N 64 0 0 0 
            LINE N 64 -448 0 -448 
            LINE N 64 -384 0 -384 
            LINE N 64 -320 0 -320 
            LINE N 64 -256 0 -256 
            RECTANGLE N 64 -480 384 96 
            LINE N 384 -448 448 -448 
            LINE N 384 64 448 64 
            LINE N 384 -384 448 -384 
            LINE N 384 -320 448 -320 
            LINE N 384 0 448 0 
            LINE N 384 -64 448 -64 
            LINE N 384 -256 448 -256 
            LINE N 384 -192 448 -192 
            LINE N 384 -128 448 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_in8
            TIMESTAMP 2008 10 21 16 29 20
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 64 -192 320 0 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            LINE N 320 -160 384 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_in16
            TIMESTAMP 2008 10 21 16 31 54
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 64 -192 320 0 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            LINE N 320 -160 384 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_out16
            TIMESTAMP 2008 10 18 13 37 56
            RECTANGLE N 64 -192 320 0 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -160 0 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF obuft
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -96 64 -96 
            LINE N 96 -96 64 -96 
            LINE N 96 -48 96 -96 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_out8
            TIMESTAMP 2008 10 18 13 39 2
            RECTANGLE N 64 -192 320 0 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -160 0 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_in32
            TIMESTAMP 2008 10 21 16 49 0
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 64 -192 320 0 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCK XLXI_247 SPI_dec8
            PIN BASEADR(3:0) BASEADR(3:0)
            PIN SSREG SSREG
            PIN MOSI MOSI
            PIN SCLK SCK
            PIN SSDAT SSDAT
            PIN MISO_TRIS XLXN_597
            PIN SSDAT_0 ADR_READY
            PIN SSDAT_7
            PIN SSDAT_6
            PIN SSDAT_1 AUX_READY
            PIN SSDAT_2 CMD_READY
            PIN SSDAT_5 XLXN_639
            PIN SSDAT_4 XLXN_638
            PIN SSDAT_3
        END BLOCK
        BEGIN BLOCK XLXI_253 or2
            PIN I0 XLXN_596
            PIN I1 XLXN_595
            PIN O XLXN_594
        END BLOCK
        BEGIN BLOCK XLXI_248 obuft
            PIN I XLXN_594
            PIN T XLXN_597
            PIN O MISO
        END BLOCK
        BEGIN BLOCK XLXI_262 SPI_in16
            PIN MOSI MOSI
            PIN SCLK SCK
            PIN SSDAT ADR_READY
            PIN DQ(15:0) ADR_WR(15:0)
            PIN DS(15:0)
            PIN DSREADY
        END BLOCK
        BEGIN BLOCK XLXI_239 SPI_out16
            PIN DATA(15:0) ADR_RD(15:0)
            PIN MISO XLXN_596
            PIN SSDAT XLXN_638
            PIN SCLK SCK
        END BLOCK
        BEGIN BLOCK XLXI_255 SPI_out8
            PIN DATA(7:0) DATA_RD(7:0)
            PIN MISO XLXN_595
            PIN SSDAT XLXN_639
            PIN SCLK SCK
        END BLOCK
        BEGIN BLOCK XLXI_268 SPI_in32
            PIN MOSI MOSI
            PIN SCLK SCK
            PIN SSDAT CMD_READY
            PIN DSREADY
            PIN DQ(31:0) CMD_WR(31:0)
            PIN DS(31:0)
        END BLOCK
        BEGIN BLOCK XLXI_242 SPI_in8
            PIN MOSI MOSI
            PIN SCLK SCK
            PIN SSDAT AUX_READY
            PIN DQ(7:0) AUX_WR(7:0)
            PIN DS(7:0)
            PIN DSREADY
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        ATTR LengthUnitName "Inch"
        ATTR GridsPerUnit "10"
        IOMARKER 496 880 SSDAT R180 28
        IOMARKER 496 944 SSREG R180 28
        IOMARKER 496 752 MOSI R180 28
        BEGIN BRANCH BASEADR(3:0)
            WIRE 496 1200 1024 1200
        END BRANCH
        BEGIN INSTANCE XLXI_247 1024 1200 R0
        END INSTANCE
        BEGIN BRANCH MISO
            WIRE 3136 688 3232 688
        END BRANCH
        INSTANCE XLXI_248 2912 720 R0
        IOMARKER 3232 688 MISO R0 28
        BEGIN BRANCH XLXN_594
            WIRE 2816 688 2912 688
        END BRANCH
        INSTANCE XLXI_253 2560 784 R0
        BEGIN BRANCH XLXN_595
            WIRE 2384 656 2560 656
        END BRANCH
        BEGIN BRANCH XLXN_596
            WIRE 2384 944 2464 944
            WIRE 2464 720 2464 944
            WIRE 2464 720 2560 720
        END BRANCH
        BEGIN BRANCH XLXN_597
            WIRE 1472 752 1552 752
            WIRE 1552 544 1552 752
            WIRE 1552 544 2848 544
            WIRE 2848 544 2848 624
            WIRE 2848 624 2912 624
        END BRANCH
        BEGIN INSTANCE XLXI_262 2000 2352 R0
        END INSTANCE
        BEGIN BRANCH SSREG
            WIRE 496 944 1024 944
        END BRANCH
        BEGIN BRANCH SSDAT
            WIRE 496 880 1024 880
        END BRANCH
        IOMARKER 496 1200 BASEADR(3:0) R180 28
        IOMARKER 496 816 SCK R180 28
        BEGIN BRANCH ADR_READY
            WIRE 1472 1264 1552 1264
            WIRE 1552 1264 1552 2112
            WIRE 1552 2112 1552 2320
            WIRE 1552 2320 2000 2320
            WIRE 1552 2112 2560 2112
        END BRANCH
        BEGIN INSTANCE XLXI_255 2000 816 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_239 2000 1104 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_242 2000 2064 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_268 2000 1776 R0
        END INSTANCE
        BEGIN BRANCH SCK
            WIRE 496 816 560 816
            WIRE 560 816 1024 816
            WIRE 560 816 560 1680
            WIRE 560 1680 1920 1680
            WIRE 1920 1680 1920 1968
            WIRE 1920 1968 1920 2256
            WIRE 1920 2256 2000 2256
            WIRE 1920 1968 2000 1968
            WIRE 1920 1680 2000 1680
            WIRE 1920 656 2000 656
            WIRE 1920 656 1920 944
            WIRE 1920 944 2000 944
            WIRE 1920 944 1920 1680
        END BRANCH
        BEGIN BRANCH MOSI
            WIRE 496 752 608 752
            WIRE 608 752 1024 752
            WIRE 608 752 608 1616
            WIRE 608 1616 1888 1616
            WIRE 1888 1616 1888 1904
            WIRE 1888 1904 1888 2192
            WIRE 1888 2192 2000 2192
            WIRE 1888 1904 2000 1904
            WIRE 1888 1616 2000 1616
        END BRANCH
        BEGIN BRANCH XLXN_638
            WIRE 1472 1008 2000 1008
        END BRANCH
        BEGIN BRANCH XLXN_639
            WIRE 1472 944 1840 944
            WIRE 1840 720 2000 720
            WIRE 1840 720 1840 944
        END BRANCH
        BEGIN BRANCH AUX_READY
            WIRE 1472 1200 1600 1200
            WIRE 1600 1200 1600 1824
            WIRE 1600 1824 1600 2032
            WIRE 1600 2032 2000 2032
            WIRE 1600 1824 2560 1824
        END BRANCH
        BEGIN BRANCH CMD_READY
            WIRE 1472 1136 1648 1136
            WIRE 1648 1136 1648 1536
            WIRE 1648 1536 1648 1744
            WIRE 1648 1744 2000 1744
            WIRE 1648 1536 2560 1536
        END BRANCH
        BEGIN BRANCH ADR_WR(15:0)
            WIRE 2384 2320 2560 2320
        END BRANCH
        BEGIN BRANCH AUX_WR(7:0)
            WIRE 2384 2032 2560 2032
        END BRANCH
        BEGIN BRANCH CMD_WR(31:0)
            WIRE 2384 1744 2560 1744
        END BRANCH
        BEGIN BRANCH ADR_RD(15:0)
            WIRE 1392 464 1648 464
            WIRE 1648 464 1648 1072
            WIRE 1648 1072 2000 1072
        END BRANCH
        BEGIN BRANCH DATA_RD(7:0)
            WIRE 1392 384 1696 384
            WIRE 1696 384 1696 784
            WIRE 1696 784 2000 784
        END BRANCH
        IOMARKER 1392 384 DATA_RD(7:0) R180 28
        IOMARKER 1392 464 ADR_RD(15:0) R180 28
        IOMARKER 2560 1744 CMD_WR(31:0) R0 28
        IOMARKER 2560 2032 AUX_WR(7:0) R0 28
        IOMARKER 2560 2320 ADR_WR(15:0) R0 28
        IOMARKER 2560 1536 CMD_READY R0 28
        IOMARKER 2560 1824 AUX_READY R0 28
        IOMARKER 2560 2112 ADR_READY R0 28
    END SHEET
END SCHEMATIC
